/* .custom-spinner .dash-spinner {
    margin: auto;
    width: 70px;
    height: 70px;
    text-align: center;
    font-size: 50px;
    margin-left: 1%;
    position: relative;
} */

.std-loading-spinner{
    color: var(--accent);
    height: 50px !important;
    width: 50px !important;
    font-size: 1.5rem;
}

#map-north-arrow-div {
    position: absolute;
    bottom:40px;
    right: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

/* Main top level container that holder the map app */
#main_dash_map_div {
    width: 100%;
}


/* Specifically the map needs overflow hidden */
#mapbox_div {
    overflow: hidden;
}


#map-controls-div {
    display: flex;
    justify-self: flex-start;
    align-self: flex-start;;
    flex-direction: column;
    position: absolute;
    top:85px;
    left:5px;
    gap:5px;
    z-index:500;
}


#change-range-radio-div {
  
    position: relative;
    display: flex;
    z-index: 500;
    pointer-events: auto;
}

#change_range_radio_button {
    position: relative;
    width: 100%;
    height: 100%;
    z-index: 100;
    border-radius: 5px;
    padding-top: 2px;
    padding-right: 5px;
    padding-bottom: 0px;
    padding-left: 8px;
    font-size: var(--font-size-dropdown);
    background-color: hsla(from var(--bg-light) h s l / 0.95);

    display:flex;
    flex-direction: column;
}

#change_range_radio_button .form-check {
    margin-bottom: 0px;
    padding-bottom: 0px;
    align-content: center;
}

.change-range-radio-label {
    display: inline-block;
    -webkit-font-smoothing: antialiased;;
    transition: all 0.2s ease;
    color: hsl(from var(--text-main-muted) h s calc(l - 10));

}

.change-range-radio-label.change-range-radio-input {
    color: var(--text-dark)

}

.form-check-input:checked{
    background-color: var(--primary);
    border-color: var(--primary);
}
.form-check-input:focus {
    box-shadow: 0 0 0 .15rem hsla(from var(--primary) h s l / 0.25);
    border-color: var(--primary);
}




#show-markers-div {
    position: relative;
    display:flex;
    z-index: 500;
    font-size: var(--font-size-dropdown);
    background-color: hsla(from var(--bg-light) h s l / 0.95)!important;
    border-radius: 5px;
    padding: 5px 8px;
    display: flex;

}

#show-markers-div .form-label {
    margin-bottom: 0px !important;
    color: var(--text-dark) !important;
}

#show-markers-div .form-check {
    align-content: center;
}

#show-markers-div .form-switch .form-check-input {
    background-color: var(--bg-light) !important;
    border-radius: 5px;
}

#show-markers-div .form-switch .form-check-input:checked {
    background-color: var(--primary) !important;
    border-radius: 5px;
}



#show-markers-div .form-check-input:checked {
    background-color: var(--primary);
    border-color: var(--primary);
}




@media screen and (max-width: 500px) {
    #change_range_radio_button .form-check {
        min-height: 0px;
    }
}



/* ===============================
   Slider container
================================ */

#map-year-range-slider-div {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1001;
    pointer-events: auto;

    background-color: var(--bg-light);
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;

    padding: 5px 8px 10px 0px;
    overflow: visible;
}


/* ===============================
   Date display above slider
================================ */

#slider-date-display {
    text-align: center;
    font-size: 14px;
    font-weight: 600;
    color: var(--text-dark);
    margin-bottom: 4px;
}



/* ===============================
   Slider base
================================ */

#map-year-range-slider {
    width: 100%;
}

#map-year-range-slider-div .rc-slider {
    width: 100%;
}


/* ===============================
   Rail + track
================================ */

#map-year-range-slider .rc-slider-rail {
    background-color: var(--nav-button-color-disabled);
}

#map-year-range-slider .rc-slider-track {
    background-color: var(--primary);
}


/* ===============================
   Slider handles
================================ */

#map-year-range-slider .rc-slider-handle {
    border: 4px solid hsl(from var(--primary) h s calc(l - 10) );
    background-color: var(--bg-light);
}

#map-year-range-slider
.rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging {
    border-color: var(--primary);
    background-color: var(--bg-light);
    box-shadow: none;
}


/* ===============================
   Slider dots
================================ */

#map-year-range-slider .rc-slider-dot {
    border: none;
    background-color: hsl(from var(--nav-button-color-disabled) h s calc(l - 10));
}

#map-year-range-slider .rc-slider-dot-active {
    background-color: hsl(from var(--primary) h s calc(l + 5));
}


/* ===============================
   Slider marks
================================ */

#map-year-range-slider .rc-slider-mark {
    top: 18px;
}

#map-year-range-slider .rc-slider-mark-text {
    font-size: var(--font-size-dropdown);
    color: var(--text-dark);

    writing-mode: vertical-rl;
    text-orientation: mixed;

    transform: translateX(-50%) rotate(-45deg) !important;
    transform-origin: top center;

    white-space: nowrap;
    margin-top: 6px;
}

#map-year-range-slider .rc-slider-mark-text-active {
    color: var(--text-dark);
    font-weight: 700;
}


/* ===============================
   Tooltip - hiding the values 
================================ */

#map-year-range-slider .rc-slider-tooltip-inner {
    display:none
}


/* Dropdown for basemap */

#basemap-dropdown {
    font-size: var(--font-size-dropdown);
    z-index: 101;
    border-radius: 5px;
    width: 150px;
    height: 30px;
    
}

#basemap-dropdown-div {
    position: absolute;
    top: 5px;
    right: 50px;
    display: flex;
    height: 45px;
    width:25vw;
    max-width: 150px;
    z-index: 1001;
    pointer-events: auto;
}

#basemap-dropdown .Select-control {
    border-radius: 5px !important;
    min-height: 30px;
    height: 30px;
    background-color: var(--bg-light) !important;
    border:none !important
}

#basemap-dropdown .Select-placeholder,
#basemap-dropdown .Select-value-label {
    font-size: var(--font-size-dropdown);
    line-height: 30px;
    color: var(--text-dark);
}

#basemap-dropdown .Select-menu-outer {
    top:30px; 
    margin-top: 7px !important;
    border-radius: 5px;
    z-index: 2000;
}




@media screen and (max-width:450px) {
    #basemap-dropdown {
        font-size: 0.7rem;
        width: 140px;
    }


    #basemap-dropdown .Select-placeholder,
    #basemap-dropdown .Select-value-label {
        font-size: 0.7rem !important;
        line-height: 30px;
    }

    #change_range_radio_button,
    .change-range-radio-label {
        font-size: 0.7rem;

    }



}

/* The tooltip on hover styling for the map profile lines */

.leaflet-tooltip {
    background-color: transparent;
    border: none;
    padding:0px;
    border-radius:10px
}

.profile-line-tooltip {
    border-radius: 10px;
    background-color: var(--bg-light); 
    border: none;
    padding: 6px;                
}

.survey-unit-tooltip {
    border-radius: 10px !important;
    background-color: var(--bg-light) !important; 
    border: none !important;              
    padding: 6px !important;              
}

/* Colors are set by the javascript function build_polyline_labels() */
.profile-label {
    font-size: 0.7rem;
    font-weight: 600;
    padding: 0px 4px;
    background-color: transparent;
    white-space: nowrap;
    pointer-events: none;
    line-height: 1;

}

/* Hydro icons */

.hydro-tooltip{
    border-radius: 10px !important;
    background-color: var(--bg-light) !important; 
    border: none !important;              
    padding: 6px !important; 
    color: var(--text-dark);
    font-weight: bold;             
}



.leaflet-popup-content {
    padding: 0px;
    margin: 0px;
    border-radius: 5px;
    background-color: var(--tertiary) !important
}
.leaflet-popup-content-wrapper {
    background-color: var(--tertiary)
}

.hydro-popup-div {
    margin: 5px;
    margin-right:15px;
    color: var(--text-dark);
    background-color: var(--tertiary) !important
}
.hydro-popup {
    background-color: transparent;
}

.leaflet-popup-tip{
    background: var(--tertiary)!important;
}